Subject: Re: problem with git cvsimport

From: Michael Haggerty <[email-masked]>
Date: Sun, 02 Sep 2007 08:37:06 +0200

Jean-François Veillette wrote:
> I can't get git-cvsimport to convert a cvs project to git (full log
> bellow).
> I always get :
>     fatal: Not a valid object name refs/heads/HEAD
>     read-tree failed: 32768
> 
> I'm a relatively new to git. I would like to convert my project and
> track external projects with git.
> But cvsimport seem to fail.  Any pointer to help me resolve the issue is
> welcome !

I suggest you try the experimental support in cvs2svn for converting to
git.  cvs2svn is very good about understanding strange CVS histories.
See the following thread for more information:

    http://marc.info/?l=git&m=118592701426175&w=4

Michael